/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-07 17:09
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;

ll gcdex(ll a, ll b, ll &x, ll &y) {
  if (a == 0) {
    x = 0, y = 1;
    return b;
  }
  ll x1, y1, g = gcdex(b % a, a, x1, y1);
  x = y1 - b / a * x1, y = x1;
  return g;
}
/* int inverse(int a, int m) { */
/*   int x, y, g = gcdex(a, m, x, y); */
/*   if (g != 1) */
/*     return -1; */
/*   return (x % m + m) % m; */
/* } */


ll N, X, Y;

void solve(){
    // Code goes here ...
    cin >> N >> X >> Y;
    ll s, t;
    ll g = gcdex(X, Y, s, t);
    ll lcm = X * Y / g;
    /* cerr << lcm << endl; */


    ll xs = N / X, ys = N / Y, bs = N / lcm;
    xs -= bs, ys -= bs;

    ll res = N * xs - (xs * (xs - 1) / 2);
    ll antires = ys * (ys + 1) / 2;

    cout << res - antires << endl;
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
